@import "./config.less";

.window-header {
  .title-font();
}

#logo {
  content: url(images/pause.png);
  width: 50px;
  margin-left: 37px;
}

#pause {
  img {
    content: url(images/pause.png);
  }

  figcaption {
    .title-font();
    text-shadow: 0 0 4px @text-color;
  }
}

.legends {

  // colours
  .water {
    color: @waterbender;
  }

  .fire {
    color: @firebender;
  }

  .earth {
    color: @earthbender;
  }

  .air {
    color: @airbender;
  }

  .weapons {
    color: @weaponsmith;
  }

  .technology {
    color: @technologist;
  }

  .black {
    color: @text-color;
  }

  .white {
    color: white;
  }

  .accent {
    color: @accent-color;
  }

  .accent-dark {
    color: @accent-dark;
  }

  .fire-dark {
    color: @dark-fire;
  }

  .main-font();

  // Flex layout classes
  .row {
    display: flex;
    flex: 0;
    flex-direction: row;
    justify-content: space-between;
  }

  .column {
    display: flex;
    flex: 1;
    flex-direction: column;
  }

  .cell {
    flex: 1;

    &.cell-2 {
      flex: 2 !important;
    }

    &.cell-3 {
      flex: 3 !important;
    }

    &.cell-4 {
      flex: 4 !important;
    }
  }

  .flex-none {
    flex: none !important;
  }

  // Basic text
  p,
  li {
    .main-font();
  }

  p {
    margin: 0;
    margin-bottom: 0.7rem;
  }

  input,
  textarea,
  select {
    .main-font();
  }

  img {
    border: 0;
  }

  // Headings
  h1,
  h2,
  h3,
  h4 {
    border: none;
    .title-font();

    input {
      font-family: inherit;
      font-size: inherit;
      font-variant: inherit;
      text-transform: inherit;
    }
  }

  h1 {
    font-size: 1.8rem;
  }

  h2 {
    font-size: 1.6rem;
  }

  h3 {
    font-size: 1.3rem;
  }

  h4 {
    font-size: 1rem;
  }

  // Links
  a {
    color: @accent-dark;

    &:hover {
      color: black;
      text-shadow: 0 0 6px @accent-color;
    }

    &.content-link,
    &.inline-roll {
      color: @accent-dark;
    }
  }

  // Font classes
  .block {
    .block-font();
  }

  .brush {
    .brush-font();
  }

  .title {
    .title-font();
  }

  .hand {
    .hand-font();
  }

  .text {
    .main-font();
  }

  // Sizes
  .large {
    font-size: 1.5em;
  }

  .small {
    font-size: 0.8rem;
  }

  // Alignment && position
  .left {
    text-align: left !important;
  }

  .center {
    text-align: center !important;
  }

  .right {
    text-align: right !important;
  }

  .float-right {
    float: right;
  }

  .float-left {
    float: left;
  }

  .pad-25 {
    margin: 0.25rem;
  }

  .pad-50 {
    margin: 0.5rem;
  }

  .pad-75 {
    margin: 0.75rem;
  }

  .pad-top {
    margin-top: 1rem;
  }

  .pad-bottom {
    margin-bottom: 1rem;
  }

  .pad-sides {
    margin-left: 0.5rem;
    margin-right: 0.5rem;
  }

  .no-margin {
    margin: 0 !important;
  }

  .underline {
    border-bottom: 2px solid @accent-color;

    &.underline-fire {
      border-bottom: 2px solid @dark-fire;
    }

    &.underline-thin {
      border-width: 1px;
    }
  }

  .skill-name {
    color: @accent-dark;
    .title-font();
    font-weight: bold;
    font-size: 0.85rem;
  }

  .kanji {

    &::before,
    &::after {
      .kanji-font();
      color: @firebender;
      padding: 0;
      font-size: 70%;
      vertical-align: text-top;
    }

    &.kanji-techniques {
      &::before {
        content: '武';
      }

      &::after {
        content: '術';
      }
    }

    &.kanji-balance {
      &::before {
        content: '平';
      }

      &::after {
        content: '衡';
      }
    }
  }

  .col {
    &.col-2 {
      columns: 2;
    }

    &.col-3 {
      columns: 3;
    }

    .item {
      break-inside: avoid;
      page-break-inside: avoid;
    }
  }

  .technique {
    h3 {
      .data {
        float: right;

        .icon {
          width: 1.2rem;
        }

        .specialty {
          border-radius: 0.6rem;
          color: @bg-color;
          font-size: 0.7rem;
          .main-font();
          font-weight: normal;
          text-transform: uppercase;
          padding: 0 0.5rem;

          &.air {
            background-color: @airbender;
          }

          &.earth {
            background-color: @earthbender;
          }

          &.fire {
            background-color: @firebender;
          }

          &.technology {
            background-color: @technologist;
          }

          &.water {
            background-color: @waterbender;
          }

          &.weapons {
            background-color: @weaponsmith;
          }

          &.group {
            background-color: @text-color;
          }
        }
      }
    }
  }
}

@import "./sheets.less";
@import "./npc-sheet.less";
@import "./campaign-sheet.less";
@import "./messages.less";
@import "./dialog.less";
